Bug 1315525 - perl-Net-DNS-1.06 is available
perl-Net-DNS-1.06 is available
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 19:20 EST by Upstream Release Monitoring
Modified: 2016-07-21 06:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-Net-DNS-1.06-3.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.05 (#1315525) (1.05 KB, patch)
2016-03-07 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.19 KB, patch)
2016-05-27 20:16 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-03-07 19:20:19 EST
Latest upstream release: 1.05
Current version/release in rawhide: 1.04-3.fc24
URL: http://search.cpan.org/dist/Net-DNS/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-03-07 19:20:38 EST
Created attachment 1133965 [details]
[patch] Update to 1.05 (#1315525)
Comment 2 Upstream Release Monitoring 2016-03-07 19:28:33 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13265737
Comment 3 Upstream Release Monitoring 2016-05-27 20:16:30 EDT
Latest upstream release: 1.06
Current version/release in rawhide: 1.04-5.fc25
URL: http://search.cpan.org/dist/Net-DNS/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3147/
Comment 4 Upstream Release Monitoring 2016-05-27 20:16:58 EDT
Patching or scratch build for perl-Net-DNS-1.04 failed.
Comment 5 Upstream Release Monitoring 2016-05-27 20:16:59 EDT
Created attachment 1162575 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 6 Upstream Release Monitoring 2016-05-27 20:17:01 EDT
Patches were not touched. All were applied properly
Comment 7 Upstream Release Monitoring 2016-05-30 16:12:09 EDT
pwouters's perl-Net-DNS-1.06-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=769362
Comment 8 Harald Reindl 2016-05-31 09:13:52 EDT
not terrible about a ton of new dependencies just for running SpamAssassin, but not solveable at all (yes yum-deprecated becuase DNF is way too stupid for useful output)

Examining perl-Net-DNS-1.06-1.fc23.noarch.rpm: perl-Net-DNS-1.06-1.fc23.noarch
Marking perl-Net-DNS-1.06-1.fc23.noarch.rpm as an update to perl-Net-DNS-0.83-3.fc23.x86_64
Resolving Dependencies
--> Running transaction check
---> Package perl-Net-DNS.x86_64 0:0.83-3.fc23 will be updated
---> Package perl-Net-DNS.noarch 0:1.06-1.fc23 will be an update
--> Processing Dependency: perl(Net::DNS::SEC::DSA) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Processing Dependency: perl(Net::DNS::SEC::ECDSA) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Processing Dependency: perl(Net::DNS::SEC::Private) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Processing Dependency: perl(Net::DNS::SEC::RSA) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Processing Dependency: perl(OS_CONF) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Running transaction check
---> Package perl-Net-DNS.noarch 0:1.06-1.fc23 will be an update
--> Processing Dependency: perl(OS_CONF) for package: perl-Net-DNS-1.06-1.fc23.noarch
---> Package perl-Net-DNS-SEC.noarch 0:0.22-5.fc23 will be installed
--> Processing Dependency: perl(Crypt::OpenSSL::RSA) >= 0.19 for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Processing Dependency: perl(Crypt::OpenSSL::ECDSA) >= 0.05 for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Processing Dependency: perl(Crypt::OpenSSL::EC) >= 0.5 for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Processing Dependency: perl(Crypt::OpenSSL::DSA) >= 0.10 for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Processing Dependency: perl(MIME::Base32) for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Processing Dependency: perl(Crypt::OpenSSL::Bignum) for package: perl-Net-DNS-SEC-0.22-5.fc23.noarch
--> Running transaction check
---> Package perl-Crypt-OpenSSL-Bignum.x86_64 0:0.06-3.fc23 will be installed
---> Package perl-Crypt-OpenSSL-DSA.x86_64 0:0.15-3.fc23 will be installed
---> Package perl-Crypt-OpenSSL-EC.x86_64 0:1.01-3.fc23 will be installed
---> Package perl-Crypt-OpenSSL-ECDSA.x86_64 0:0.07-3.fc23 will be installed
---> Package perl-Crypt-OpenSSL-RSA.x86_64 0:0.28-13.fc23 will be installed
--> Processing Dependency: perl(Crypt::OpenSSL::Random) for package: perl-Crypt-OpenSSL-RSA-0.28-13.fc23.x86_64
---> Package perl-MIME-Base32.noarch 0:1.02a-15.fc23 will be installed
---> Package perl-Net-DNS.noarch 0:1.06-1.fc23 will be an update
--> Processing Dependency: perl(OS_CONF) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Running transaction check
---> Package perl-Crypt-OpenSSL-Random.x86_64 0:0.10-4.fc23 will be installed
---> Package perl-Net-DNS.noarch 0:1.06-1.fc23 will be an update
--> Processing Dependency: perl(OS_CONF) for package: perl-Net-DNS-1.06-1.fc23.noarch
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies
Error: Package: perl-Net-DNS-1.06-1.fc23.noarch (/perl-Net-DNS-1.06-1.fc23.noarch)
           Requires: perl(OS_CONF)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 9 Upstream Release Monitoring 2016-05-31 11:17:29 EDT
jplesnik's perl-Net-DNS-1.06-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=769553
Comment 10 Harald Reindl 2016-05-31 12:58:55 EDT
it's one hting that DNF is crap (https://bugzilla.redhat.com/show_bug.cgi?id=1341282) and pulling a ton of dependencies but then conflict it one of the pulled dependencies?

what about doing a local build again and again until the package becomes installable and *after that* blow it to fedora buildservers?

Transaction check error:
  file /usr/share/man/man3/Net::DNS::RR::CDNSKEY.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::CDS.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::DLV.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::DNSKEY.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::DS.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::KEY.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::NSEC.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::NSEC3.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::NSEC3PARAM.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::RRSIG.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/man/man3/Net::DNS::RR::SIG.3pm.gz conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/CDNSKEY.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/CDS.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/DLV.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/DNSKEY.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/DS.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/KEY.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3PARAM.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/RRSIG.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
  file /usr/share/perl5/vendor_perl/Net/DNS/RR/SIG.pm conflicts between attempted installs of perl-Net-DNS-SEC-0.22-5.fc23.noarch and perl-Net-DNS-1.06-2.fc23.noarch
Comment 11 Paul Wouters 2016-05-31 20:10:33 EDT
revoked, investigating
Comment 12 Upstream Release Monitoring 2016-06-01 12:57:15 EDT
pwouters's perl-Net-DNS-1.06-3.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=769837
Comment 13 Harald Reindl 2016-07-06 08:17:58 EDT
is there any news about the F23 update for this package?

maybe interesting for this spamassassin bugreport while at the moment it's not clear who is responsible, but likely i will be requested test a newer version

https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7335#c9
Comment 14 Harald Reindl 2016-07-21 06:52:50 EDT
i can confirm that https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7335 on Fedora 24 does not happen, sadly the F23 package is not installable due outdated and conflicting perl-Net-DNS-SEC which is now a requirement

Datei /usr/share/man/man3/Net::DNS::RR::CDNSKEY.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::CDS.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::DLV.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::DNSKEY.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::DS.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::KEY.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::NSEC.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::NSEC3.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::NSEC3PARAM.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::RRSIG.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/man/man3/Net::DNS::RR::SIG.3pm.gz aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/CDNSKEY.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/CDS.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/DLV.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/DNSKEY.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/DS.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/KEY.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/NSEC3PARAM.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/RRSIG.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch
Datei /usr/share/perl5/vendor_perl/Net/DNS/RR/SIG.pm aus der Installation von perl-Net-DNS-1.06-2.fc23.noarch kollidiert mit der Datei aus dem Paket perl-Net-DNS-SEC-0.22-5.fc23.noarch

Note You need to log in before you can comment on or make changes to this bug.